Webhook Teslimatlarını Listele
GET
/v1/merchants/{id}/webhook-deliveriesRecommendedÜye işyeri genelindeki teslimat denemelerini, mağaza ve teslimat durumu filtreleriyle listeler.
Kimlik Doğrulama
İmza Deseni
Dashboard JWT bearer (not the HMAC public API).| Başlık | Değer | Açıklama |
|---|---|---|
Authorization | Bearer {jwt} | Merchant dashboard JWT (from /v1/auth/login) |
Content-Type | application/json | Request content type |
İstek Parametreleri
| Ad | Tür | Zorunlu | Açıklama |
|---|---|---|---|
storeId | string | İsteğe Bağlı | Filter by store |
status | string | İsteğe Bağlı | pending|in_progress|delivered|failed|exhausted |
limit | integer | İsteğe Bağlı | Page size |
offset | integer | İsteğe Bağlı | Offset |
Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
items | array | […] |
items[].id | string | "whd_0f1a2b3c4d5e" |
items[].endpointId | string | "whe_9a2e6b4d4e8a" |
items[].eventType | string | "payment.captured" |
items[].status | string | "delivered" |
items[].attemptCount | integer | 1 |
items[].lastResponseCode | integer | 200 |
items[].createdAt | string | "2026-04-13T10:00:03Z" |
Yanıt Örneği
JSONYanıt
{
"items": [
{
"id": "whd_0f1a2b3c4d5e",
"endpointId": "whe_9a2e6b4d4e8a",
"eventType": "payment.captured",
"status": "delivered",
"attemptCount": 1,
"lastResponseCode": 200,
"createdAt": "2026-04-13T10:00:03Z"
}
]
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
GEThttps://api.pay.sandbox.kvell.group